/*  smplayer, GUI front-end for mplayer.
    Copyright (C) 2007 Ricardo Villalba <rvm@escomposlinux.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <qwidget.h>

#if KDE_SUPPORT
#include <kfiledialog.h>
#else
#include <qfiledialog.h>
#endif

QString myGetOpenFileName ( const QString & startWith,
                            const QString & filter,
                            QWidget * parent, const char * name,
                            const QString & caption,
                            QString * selectedFilter,
                            bool resolveSymlinks )
{
#if KDE_SUPPORT
	return KFileDialog::getOpenFileName( startWith, filter, parent, caption );
#else
	return QFileDialog::getOpenFileName( startWith, filter, parent, name,
                                         caption, selectedFilter, 
                                         resolveSymlinks );
#endif
}

QString myGetExistingDirectory ( const QString & dir, QWidget * parent, 
                                 const char * name, const QString & caption, 
                                 bool dirOnly, bool resolveSymlinks )
{
#if KDE_SUPPORT
	return KFileDialog::getExistingDirectory ( dir, parent, caption );
#else
	return QFileDialog::getExistingDirectory( dir, parent, name, caption,
                                              dirOnly, resolveSymlinks );
#endif
}

QString myGetSaveFileName ( const QString & startWith,
                            const QString & filter,
                            QWidget * parent, const char * name,
                            const QString & caption,
                            QString * selectedFilter,
                            bool resolveSymlinks ) 
{
#if KDE_SUPPORT
	return KFileDialog::getSaveFileName( startWith, filter, parent, caption);
#else
	return QFileDialog::getSaveFileName( startWith, filter, parent, name,
                                         caption, selectedFilter, 
                                         resolveSymlinks );
#endif
}

QStringList myGetOpenFileNames ( const QString & filter,
                               const QString & dir,
                               QWidget * parent, const char * name,
                               const QString & caption,
                               QString * selectedFilter,
                               bool resolveSymlinks )
{
#if KDE_SUPPORT
	return KFileDialog::getOpenFileNames( dir, filter, parent, caption);
#else
	return QFileDialog::getOpenFileNames( filter, dir, parent, name, caption, 
                                          selectedFilter, resolveSymlinks );
#endif
}
